*
{
box-sizing: border-box;
margin: 0 auto;

}

body {
    
    font-family: "Host Grotesk", sans-serif;
    
    /*background: url(files_g/bg_page.png) center  no-repeat;*/
    background-color: black;
    color: black;
    
}

#part1
{
transform: translateY(-50%);

}

#part2
{
transform: translateY(-10px)

}

#part3
{
transform: translateY(-50%);

}

#part4
{
transform: translateY(-50%);

}

.nav a:hover 
{
background-color: #fc484826;
cursor: pointer;
}

.nav a 
{
    text-decoration: none;
display: block;
color:rgb(0, 0, 0);	
}

a
{
color:white;	
}

.button_reg,
.button_login 
{   
    position: absolute;
    z-index: 20;
    display: flex;
    align-items: center;
    align-self: center;
  width: 200px;
  /* left: 50%; */
  transform: rotate(-90deg)translateX(-20%);
  height:20px ;
  border-radius: 8px;
  /* shape-outside: circle(50%); */
  background-color: #513e0b89;
    opacity: 0;
  transition: opacity 0.3s ease;
  cursor: pointer;
    -webkit-user-select: none;
    user-select: none;
}



.button_prev,
.button_next 
{   
    position: absolute;
    z-index: 20;
    display: flex;
    align-items: center;
    align-self: center;
  width: 60px;
  /* left: 50%; */
  transform: translateX(-50%);
  height: 60px ;
  border-radius: 50%;
  shape-outside: circle(50%);
  
  background-color: #513e0b89;
    opacity: 0;
  transition: opacity 0.3s ease;
  cursor: pointer;
    -webkit-user-select: none;
    user-select: none;
}

.button_prev {
  top: 10px;
}

.button_next {
  top: 630px;
}
.content-part1.show-arrows .button_prev ,
.content-part1.show-arrows .button_next {
  opacity: 1;
}


.content-part2.show-arrows .button_prev ,
.content-part2.show-arrows .button_next {
  opacity: 1;
}

.button_reg {
  top: 20px;
}

.button_login {
  top: 60px;
}
.content-part4.show-arrows .button_reg ,
.content-part4.show-arrows .button_login {
  opacity: 1;
}

/* .playfair {
  font-family: "Playfair", serif;
  font-optical-sizing: auto;
  font-weight: <weight>;
  font-style: normal;
  font-variation-settings:
    "wdth" 100;
} */




/* .host-grotesk {
  font-family: "Host Grotesk", sans-serif;
  font-optical-sizing: auto;
  font-weight: <weight>;
  font-style: normal;
} */

h1 { 
  font-family: "Playfair", serif;
  font-optical-sizing: auto;
  font-weight: 700 ;
  font-size: 2rem;
  font-style: normal;
 padding: 15px 15px;
  font-variation-settings:
    "wdth" 100;
  
}

h2 
{
    padding: 10px;
}
header
{   position: relative;
      border-bottom: 2px solid #cda538;
      font-variation-settings:
    "wdth" 100;

}
header::after {
  content: "";
  position: absolute;
  bottom: -12px;
  left: 0;
  width: 100%;
  height: 14px;
  background: #e2d2ba;
  filter: blur(12px);
  opacity: 0.7;
}

.headline h1
{
font-size: 4rem;
}
.headline h3
{
float: right;

}
.headline
{   
    
    font-size: 1.5rem;
    color: white;
    /* line-height: calc(300% * (1vw/1vh)); */
position: absolute;
top: 5vw;
left: 50px;
border-radius: 30px;
background-color: #000000a3;
padding: 10px 15px;

}

.content-part4 .set:first-child
{
margin-top: 200px;
}
.content-part4 .set:last-child
{
margin-bottom: 200px;
}


.content-part2 .group:first-child
{
margin-top: 100px;
}
.content-part2 .group:last-child
{
margin-bottom: 100px;
}


.content-part1 .img:first-child
{
margin-top: 200px;
}
.content-part1 .img:last-child
{
margin-bottom: 200px;
}

.img img:hover
{
opacity: 0.8;
cursor: pointer;
}

.img img
{
position: relative;
top: 1.5px;
height: 100%;
width: inherit;
border-radius: calc(50%);
}



.content-part1 .wrapper .img img{
max-width: 300px;
}

.content-part2 .wrapper .img img{
max-width: 150px;
}

.img
{
    flex: 1 1 100%;
position: relative;
height: auto;
padding: 0 0;
border-radius: calc(50%);
shape-outside: circle(50%);
box-shadow: 5px 5px 30px 10px #000000;

}



.group {
transform: translateY(50%);
  display: grid;
  padding: 150px 0;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px; /* odstęp w środku grupy */
   max-width: auto;
}



.wrapper
{
    
    z-index: 3;
    margin-left: 0;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: flex-start;
    justify-content: space-between;
    align-self: center;
    row-gap: 270px;
    overflow: hidden;
    /* overflow-y: auto; */
    padding: 20px;
    background-color: #ffffff89; 
    border-radius: 13px;
    max-height: 700px;
    width: auto;
    border: 2px solid white;
    
   
    /* background-color: #bc7c1389; */
}

label 
{
    display: block;
}
input 
{float: left;
font-size: 1.5em;
line-height: 100%;
width: 100%;
}

#reg_post,
#login_post
{
    display: flex;
    
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    gap: 10px;
    flex-wrap: nowrap;
    width: inherit;
   

}

.set
{   padding: 15px 0;
    position: relative;
   margin: 0px;
transform: translateY(40%);
/* border: 2px solid #120707; */
height: 400px;
width: 200px;


}

.about{
    margin: 5px 0;
    padding: 10px 15px;
    align-self: center;
align-items: center;
flex: 1 0 (50%,1fr);

border-radius: calc(100vw/20);
background-color: #000000a3;
}

.comments p
{   
   min-width: inherit;
    /* text-align: justify; */
    overflow: hidden;
    /* padding: 20px; */
    letter-spacing: 2px;
    border-radius: 8px;
    /* border: 2px solid #ffffff; */
}




.comments 
{
    display: flex;
    flex: 1 1 30vh; 
    flex-wrap: wrap;  
    z-index: 10;
    width: clamp(auto,40%,50%);
    height: auto;
    padding: 10px 10px;
    /* margin: 10px; */
    font-size: 1rem;
    z-index: 3;
    padding: 2em 2em;
    border-radius: 16px;
    background-color: #000000a3;
   

}



.content-part1
{   display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-direction: row;
    flex-wrap: wrap;
    column-gap: 10px;
    row-gap: 20px;
    /* column-gap: 40px; */
    position: relative;
    margin-top: 4em;
    padding: 0;
    min-height: 25%;
    width: 90%;
    background-color: #000000a3;
    border-radius: 13px;
  /* box-shadow:
    0 2px 2px rgba(255, 237, 78, 0.6),
    0 6px 6px rgba(249, 230, 27, 0.5),
    0 12px 12px rgba(251, 115, 10, 0.4); */
    /* border: 2px solid white; */
    color: white;
    
}
.content-part2
{   
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-direction: row;
    flex-wrap: wrap;
    column-gap: 10px;
    /* column-gap: 10px; */
    padding: 0;
    row-gap: 20px;
    position: relative;
    margin-top: 4em;
    width: 90%;
    min-height: 25%;
    background-color: #000000a3;
  /* box-shadow:
    0 2px 2px rgba(255, 237, 78, 0.6),
    0 6px 6px rgba(249, 230, 27, 0.5),
    0 12px 12px rgba(251, 115, 10, 0.4); */
    color: white;
    border-radius: 13px;

}
.content-part3
{   
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 0;
    color: white;
    justify-content: flex-end;
    align-items: center;
min-height: 30%;
position: relative;
margin-top: 4em;
height: auto;
width: 90%;

background-color: #ffffff89;
/* opacity: 0.9; */
z-index: 1;
border-radius: 13px;
}

.content-part3::before {
    content: "";
position: absolute;
background: url("img/assets/UP_Glazurnik_floor.webp") center/cover no-repeat;
inset: 0;
opacity: 0.6;
border-radius: 13px;
z-index: -1;
}

.content-part4{
display: flex;
    justify-content: space-between;
    align-content: flex-end;
    align-items: flex-end;
    flex-direction: row;
    flex-wrap: wrap;
    row-gap: 50px;
    column-gap: 20px;
    position: relative;
    margin-top: 4em;
    padding: 20px 20px;
    height:auto;
    width: 90%;
    /* background-color: #000000a3; */
    border-radius: 13px;
  /* box-shadow:
    0 2px 2px rgba(255, 237, 78, 0.6),
    0 6px 6px rgba(249, 230, 27, 0.5),
    0 12px 12px rgba(251, 115, 10, 0.4); */
    border: 2px solid white;
    color: white;
}




.container
{
     background:
  linear-gradient(rgba(251, 115, 10, 0.4),
   rgba(60, 22, 10, 0.5)),
  url(img/assets/baked_bg.webp);
background-repeat: repeat;
background-position: center/cover top;
background-position-y: 40px;
    overflow: hidden;
    padding-top: 60px;
    z-index: 1;
    width: 90%;
    height: auto;
    box-shadow:
    -0 2px 2px rgba(255, 237, 78, 0.6),
    -0 2px 6px rgba(249, 230, 27, 0.5),
    -0 2px 8px rgba(251, 115, 10, 0.4);

 
}


.header
{

background: url(img/UP_modern_granit.webp) center/cover  no-repeat;
width: 100%;
height: calc(90vw/1.5);



}

.photo-user img
{
width: auto;
height: 100px;
}

.photo-user
{
    float: right;
width: auto;
height: auto;
background-color: #ffffff89;
margin: 10px;
}

.user-comment
{
border: 2px solid #ffffff;
border-radius: 8px 0px 0px 8px;
width: 90%;
}

.user-comment p
{   
    font-size: 0.7em;
    
    min-width: inherit;
    /* text-align: justify; */
    overflow: hidden;
    letter-spacing: 2px;
    
    padding: 1em 1em;
    

}

.user-content
{   
    margin-right: 0;
    padding: 15px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    gap:20px;
  /* min-height: 3000px;   */
 height: 590px;
flex: 1 0 (1fr, 70%);
 width: clamp(35vh,50%,60vh);
 overflow-y: auto;
/* border: 2px solid #fff; */
background-color: rgba(0, 0, 0, 0.8);

}

.content
{

    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    gap:30px;
  /* min-height: 3000px;   */
 width: 90%;
 padding-bottom: 30px;
border: 2px solid rgba(255, 255, 255, 0);
background-color: rgba(0, 0, 0, 0.8);
}

.comments-g
{   
    font-size: 1rem;
    display: flex;
    position: relative;
    z-index: 3;
    margin: auto 0px;
    padding: 15px;
    background-color: #000000a3;
    /* border-radius: 16px; */
justify-content: flex-end;
align-items: flex-end;    
height: auto;
flex: 1 1 auto;
width: clamp(60%,50% ,50%);
/* border: 2px solid white */
/* border-radius: calc(100vw/20); */
/* background-color: #000000a3; */

}
       


section 
{
position: relative;

}

.nav p
{
text-align: center;
border: 2px solid #dfa664;
border-radius: 4px;
padding: 0 10px;
}

.nav
{   
    
    margin-top: auto;
    margin-bottom: auto;
    position: inherit;
    right: 50px;
    display: flex ;
    gap: 10px;
justify-content: right;
align-items: flex-end;
width: calc(90%/1.5);
}

nav {
    z-index: 100;
position: fixed;
display: flex;
align-items: center;
top: 0px;
width: 90%;
height: 60px;
background-color: #e7ddd3;
box-shadow: inset 0px -17px 10px -16px #000000;

}

footer {
    font-family: "Inter" , sans-serif;
    font-weight: 800;
    line-height: 30px;
    z-index: 9999;
    color: #d41e1e
    
}

.footer 
{
position: relative;
display: flex;
justify-content: space-between;
/* grid-auto-rows: 100px; */
/* grid-template-columns: repeat(3,1fr) ; */
flex-wrap: wrap;
justify-content: center;
gap: 20px;
padding: 30px;
margin-top: 25px;
height: auto;
max-width: 90%;
min-width: auto;
background-color:#000000bc;

}



#toggleBtn
{   
    
	width: inherit;
	height:inherit;
	background-color: #cf9b68;
	font-size: 20px;
	color: #fff;
	padding: 26px 10px;
	border: none;
	border-radius: 5px;
	cursor: pointer;
	letter-spacing: 2px;
	outline:none;	

    
	
}


.submit_f 
{
display: none;
flex: 1 20vh;
overflow: none;
height: auto;
width: clamp(10vh,20vw,20vw);
/* border: 2px solid white; */
opacity: 1 !important;

}



.submit_f:first-child input
{
    color: black;
    opacity: 1;
    font-size: 21px; 
    padding: 0;
    text-align: center;
}

textarea {
    font-size: 18px;
    color: black;
    text-align: left;
    background-color: #d5d5d5f9;
   padding-left: 0px;
    border: none;
    border-radius: 3px;
    resize: none;
    opacity: 0.7;
}

textarea:focus {
    outline: none;
    box-shadow: none;
}

.submit_f textarea
{   
    flex: 0 1 100%;
    max-width:50%;
    min-width: 330px;
    justify-content: center;
    min-height: 100px;


}

.yt
{	
    padding-top: 13px;
    text-align: center;
    width: inherit;
	height: inherit;
	background-color:#b94348;
	border-radius: 5px;
    margin-right: 5px;
    opacity: 0.7;
    padding-bottom: 6px;
}

.yt:hover
{
	background-color:#a83237;
	
}


.fb
{	
    padding-top: 13px;
    text-align: center;
	width: inherit;
	height: inherit;
	background-color:#4668b3;
    border-radius: 5px;
    margin-left: 10px;
    opacity: 0.7;
    padding-bottom: 6px;


}
.fb:hover
{
	background-color:#3557a2;
	
}





.rectangle
{
display: flex;
flex: 1 100%;
overflow: none;
height: auto;
width: clamp(10vh,100%,100%);
/* border: 2px solid white; */
opacity: 1 !important;
}


a.sociallink
{
	color:#ffffff;
	text-decoration:none;
	display:block;
	width:inherit;
	height:inherit;
}






@media (max-width :1000px) 
{

.content-part1 .wrapper .img img{
    flex: 1 ;
max-width: 100%;
}

.content-part2 .wrapper .img img{
max-width: 100px;
}

.content-part1 .wrapper {
max-height : 55vh;
margin-left: auto;
}

.content-part2 .wrapper {
max-height : 55vh;
margin-left: auto;

}

.content-part4 .wrapper{

margin-left: auto;

}

.headline {
    
    font-size: 1.3rem;
}
.headline h1 {
    font-size: 2em;
}

.button_next {
  top: calc(55vh - 70px);
}

#respo{
    display: none;
    
}
#submitBtn, #toggleBtn
{
    padding: 0;
    font-size: 13px;
    height: 40px;
}
.fb{
    padding-bottom: 6px;

}




@media (max-width: 850px){


}


}